## indent 2.2.10

=== debian/changelog ===
indent (2.2.10-3) unstable; urgency=low

  * Fixed manual: Option -dj does not take a parameter. Closes: #536527.
  * Added build-depends on texinfo, because of the above.
  * Remove indent.1 and indent.info (generated files) in clean target.
  * Re-enabled i18n, lost in 2.2.10-1. This was Bug #205692.
  * Switch to 3.0 (quilt) source format, 8 patches.
  * Use strip and drop INSTALL_PROGRAM stuff.
	
 -- Santiago Vila <sanvila@debian.org>  Thu, 15 Apr 2010 22:09:20 +0200

indent (2.2.10-2) unstable; urgency=low

  * Modified doc/Makefile.in to avoid /usr/share/info/dir.gz.
  * Appended old changelog at the end of the usual one.
  * Handle info files as indicated by policy 3.8.3.
  * Do not ignore errors from make distclean.
  * Removed useless calls to install-docs.
  * Updated config.guess and config.sub.
	
 -- Santiago Vila <sanvila@debian.org>  Sun, 30 Aug 2009 18:41:50 +0200

indent (2.2.10-1) unstable; urgency=low

  * New upstream release.
  * Added texi2html to build-depends.
  * Added Homepage field. Closes: #437381.
  * The -brf switch is now documented. Closes: #423692.
  * Custom label indentation, see --indent-label. Closes: #433956.
  * Fixed --blank-lines-after-procedures behaviour. Closes: #212320.
  * Moved docs to doc-base "Programming/C" section.
  * GNU indent is now under GPL version 3 or later.

 -- Santiago Vila <sanvila@debian.org>  Thu, 29 May 2008 18:30:34 +0200

indent (2.2.9-9) unstable; urgency=low

  * Fixed wrong URLs in README. Closes: #382324.
  * Updated po files from translation project. Closes: #427368.

 -- Santiago Vila <sanvila@debian.org>  Fri, 29 Jun 2007 13:13:48 +0200

indent (2.2.9-8) unstable; urgency=low

  * Fixed manpage section.
  * Updated config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Sun, 29 Apr 2007 14:21:06 +0200

indent (2.2.9-7) unstable; urgency=low

  * Modified texinfo2man.c to fix quotes in manpage (Closes: #132399).
    Thanks to Peter De Wachter for the patch.
  * Added watch file.

 -- Santiago Vila <sanvila@debian.org>  Tue, 12 Jul 2005 17:45:24 +0200

indent (2.2.9-6) unstable; urgency=low

  * Removed duplicate (and useless) declaration of "output" from indent.h
    to fix a FTBFS problem in amd64/gcc-4.0 (Closes: #286435).
  * Some changes to be -Wall cleaner.

 -- Santiago Vila <sanvila@debian.org>  Mon,  3 Jan 2005 17:14:06 +0100

indent (2.2.9-5) unstable; urgency=low

  * Updated config.guess/config.sub for GNU/k*BSD (Closes: #218388).

 -- Santiago Vila <sanvila@debian.org>  Fri, 31 Oct 2003 16:32:22 +0100

indent (2.2.9-4) unstable; urgency=medium

  * Modified doc/Makefile.in so that it *never* uses install-info.
    This is a workaround for an automake bug triggered by the fact that
    install-info --version now outputs to stdout (Closes: #213494).

 -- Santiago Vila <sanvila@debian.org>  Wed,  1 Oct 2003 12:33:14 +0200

indent (2.2.9-3) unstable; urgency=medium

  * Added a missing call to check_lab_size() in src/indent.c to fix a segfault
    problem (Closes: #206785). Thanks a lot to Erik de Castro Lopo.

 -- Santiago Vila <sanvila@debian.org>  Tue, 23 Sep 2003 15:36:14 +0200

indent (2.2.9-2) unstable; urgency=low

  * setlocale using LC_ALL, not LC_MESSAGES (Closes: #205692).
	
 -- Santiago Vila <sanvila@debian.org>  Sat, 23 Aug 2003 18:28:20 +0200

indent (2.2.9-1) unstable; urgency=low

  * New upstream release.
	
 -- Santiago Vila <sanvila@debian.org>  Tue, 12 Aug 2003 17:11:46 +0200

indent (2.2.8-4) unstable; urgency=low

  * Updated config.sub/config.guess for mips/mipsel (Closes: #190094).
	
 -- Santiago Vila <sanvila@debian.org>  Thu, 24 Apr 2003 10:14:54 +0200

indent (2.2.8-3) unstable; urgency=low

  * Fixed a typo in /usr/share/doc-base/indent-doc (Closes: #190043).
	
 -- Santiago Vila <sanvila@debian.org>  Mon, 21 Apr 2003 20:51:00 +0200

indent (2.2.8-2) unstable; urgency=low

  * Removed texinfo2man from the binary package. It does not really
    belong in indent and it's unsupported (Closes: #161286).

 -- Santiago Vila <sanvila@debian.org>  Sat,  5 Oct 2002 12:05:04 +0200

indent (2.2.8-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.5.7.

 -- Santiago Vila <sanvila@debian.org>  Wed,  4 Sep 2002 00:06:00 +0200

indent (2.2.7-2) unstable; urgency=low

  * Fixed a documentation typo (Closes: #127314).

 -- Santiago Vila <sanvila@debian.org>  Sun, 27 Jan 2002 18:47:28 +0100

indent (2.2.7-1) unstable; urgency=low

  * New upstream release.
  * Added doc-base support.
  * Added support for DEB_BUILD_OPTIONS.

 -- Santiago Vila <sanvila@debian.org>  Sat, 29 Dec 2001 19:10:04 +0100

indent (2.2.6-3) unstable; urgency=medium

  * Fixed a data loss occurring when indent is run over several *.c files
    at once, and non-writable backups exist for them (Closes: #84918).
    Thanks to Ken Harris <kbh7@cornell.edu> for the fix.
    NMU made by Roland Mas <lolando@debian.org>.

 -- Santiago Vila <sanvila@debian.org>  Sat, 17 Mar 2001 17:30:52 +0100

indent (2.2.6-2) unstable; urgency=low

  * Fixed dangling index.html symlink in indent-doc (Closes: #84778).

 -- Santiago Vila <sanvila@debian.org>  Mon,  5 Feb 2001 18:21:27 +0100

indent (2.2.6-1) unstable; urgency=low

  * New upstream release.
  * Closes: #47656: redundant line breaks with large -ci.
  * Closes: #59152: massive mess up of C++ comments.
  * Closes: #65058: continuation lines not handled properly.

 -- Santiago Vila <sanvila@debian.org>  Mon, 15 Jan 2001 20:38:49 +0100

indent (2.2.5-2) unstable; urgency=low

  * Fixed weird -npsl bug (Closes: #75870). Patch by the author.

 -- Santiago Vila <sanvila@debian.org>  Tue,  7 Nov 2000 17:15:49 +0100

indent (2.2.5-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.1.1.

 -- Santiago Vila <sanvila@debian.org>  Fri, 18 Aug 2000 10:23:36 +0200

indent (2.2.4-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@ctv.es>  Tue, 16 Nov 1999 10:47:42 +0100

indent (2.2.3-1) unstable; urgency=low



=== debian/rules ===
#!/usr/bin/make -f

package = indent
docdir = debian/tmp/usr/share/doc/$(package)

CC = gcc
CFLAGS = -g -Wall
STRIP = true

ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  STRIP = strip --remove-section=.comment --remove-section=.note
endif

build:
	./configure --prefix=/usr
	$(MAKE) CC="$(CC)" CFLAGS="$(CFLAGS)"
	touch build

clean:
	rm -f build
	rm -f man/indent.1
	rm -f doc/indent.info
	# rm -f po/*.gmo
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f `find . -name "*~"`
	rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: build
	rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)-doc \
		debian/tmp/usr/share/doc-base
	install -m 644 debian/$(package)-doc debian/tmp/usr/share/doc-base
	cp -p doc/*.html $(docdir)-doc
	ln -s $(package).html $(docdir)-doc/index.html
	cp -p debian/copyright $(docdir)-doc
	cp -p ChangeLog $(docdir)-doc/changelog
	cp -p debian/changelog $(docdir)-doc/changelog.Debian
	cd $(docdir)-doc && gzip -9 changelog changelog.Debian
	dpkg-gencontrol -p$(package)-doc
	cd debian/tmp && \
		md5sum `find * -type f ! -regex "DEBIAN/.*"` > DEBIAN/md5sums
	chown -R 0:0 debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

binary-arch: build
	rm -rf debian/tmp
	install -d debian/tmp/DEBIAN $(docdir)
	$(MAKE) install prefix=`pwd`/debian/tmp/usr
	rm -rf debian/tmp/usr/doc
	rm -f debian/tmp/usr/bin/texinfo2man
	cp -p README NEWS debian/copyright $(docdir)
	cp -p ChangeLog $(docdir)/changelog
	cp -p debian/changelog $(docdir)/changelog.Debian
	cd $(docdir) && gzip -9 changelog changelog.Debian
	gzip -9 debian/tmp/usr/share/info/*
	gzip -r9 debian/tmp/usr/share/man
	$(STRIP) debian/tmp/usr/bin/*
	dpkg-shlibdeps debian/tmp/usr/bin/*
	dpkg-gencontrol -p$(package)
	cd debian/tmp && \
		md5sum `find * -type f ! -regex "DEBIAN/.*"` > DEBIAN/md5sums
	chown -R 0:0 debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

## indent 2.2.13

=== regression/Makefile ===
all: 

install:

check:
	./TEST

distclean: clean

maintainer-clean: clean

distdir:

clean:
	@rm -rf output

.PHONY: all install

## indent 2.2.11

=== debian/changelog ===
indent (2.2.11-5) unstable; urgency=medium

  * Drop 99-config-guess-config-sub, no longer needed when using dh
    and a recent enough debhelper.
  * Rename remaining patches to end with .patch.
  * Add "Suggests: indent-doc" to indent, for those who prefer
    documentation in HTML format.
  * Split override_dh_installdocs into -indep and -arch.
  * Rename override_dh_link to override_dh_link-indep.
  * Standards-Version: 3.9.8 (no special changes for this).

 -- Santiago Vila <sanvila@debian.org>  Tue, 10 Jan 2017 17:50:20 +0100

indent (2.2.11-4) unstable; urgency=low

  * Dropped Homepage field. Closes: #717642.
  * Updated config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Sun, 11 Aug 2013 22:05:30 +0200

indent (2.2.11-3) unstable; urgency=low

  * Added Multi-Arch: foreign. Closes: #693823.

 -- Santiago Vila <sanvila@debian.org>  Tue, 20 Nov 2012 19:43:18 +0100

indent (2.2.11-2) unstable; urgency=low

  * Switch to dh to build with hardening flags.
  * Updated config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Sat, 02 Jun 2012 17:55:32 +0200

indent (2.2.11-1) unstable; urgency=low

  * Fixed manual. Option -dj does not take a parameter. Closes: #536527.
  * Switch to 3.0 (quilt) source format.
  * New upstream release (Closes: #587083), fixes the following bugs:
  * Option --blank-lines-after-declarations no longer adds an empty line
    for each declaration (regression from 2.2.10). Closes: #485764.
  * No longer converts "a = - -1" into "a = --1". Closes: #527450.

 -- Santiago Vila <sanvila@debian.org>  Sat, 26 Jun 2010 11:07:46 +0200

=== debian/control ===
Source: indent
Section: devel
Priority: optional
Maintainer: Santiago Vila <sanvila@debian.org>
Standards-Version: 3.9.8
Build-Depends: gettext, texi2html, texinfo, debhelper (>=9)

Package: indent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: indent-doc
Multi-Arch: foreign
Description: C language source code formatting program
 The `indent' program changes the appearance of a C program by
 inserting or deleting whitespace.
 .
 `indent' also provides options for controlling the alignment of braces and
 declarations, program indenting, and other stylistic parameters, including
 formatting of both C and C++ comments.

Package: indent-doc
Section: doc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for GNU indent
 This package contains the HTML documentation for GNU indent.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

package = indent

override_dh_auto_clean:
	dh_auto_clean
	rm -f doc/$(package).info man/$(package).1

override_dh_installdocs-indep:
	dh_installdocs -i doc/*.html

override_dh_installdocs-arch:
	dh_installdocs -a NEWS README

override_dh_link-indep:
	dh_link -i usr/share/doc/$(package)-doc/$(package).html \
		usr/share/doc/$(package)-doc/index.html

=== debian/watch ===
version=3
http://ftp.gnu.org/gnu/indent/indent-(.*)\.tar\.gz

## indent 2.2.12

=== debian/changelog ===
indent (2.2.12-4+deb12u3) bookworm; urgency=medium

  * Fix a heap buffer underread in set_buf_break(). Closes: #1061543.
    Patch by Petr Písař <ppisar@redhat.com>.
    This is CVE-2024-0911.

 -- Santiago Vila <sanvila@debian.org>  Thu, 01 Feb 2024 13:30:00 +0100

indent (2.2.12-4+deb12u2) bookworm; urgency=medium

  * Apply two patches by Petr Písař <ppisar@redhat.com>.
  - Fix an out-of-buffer read in search_brace()/lexi() on an condition
    without parentheses followed with an overlong comment.
  - Fix a heap buffer overwrite in search_brace(). Closes: #1049366.
    This one is CVE-2023-40305.

 -- Santiago Vila <sanvila@debian.org>  Mon, 28 Aug 2023 12:55:00 +0200

indent (2.2.12-4+deb12u1) bookworm; urgency=medium

  * Restore the ROUND_UP macro and adjust the initial buffer size.
    Patch from the author, backported from 2.2.13.
    Fix memory handling problem. Closes: #1036851.

 -- Santiago Vila <sanvila@debian.org>  Fri, 14 Jul 2023 13:40:00 +0200

indent (2.2.12-4) unstable; urgency=medium

  [ Helge Deller ]
  * Add missing shebang to regression/TEST. Closes: #1029574.
    Should fix a FTBFS problem in hppa.
  * Build with Large File Support. Closes: #1029574.

  [ Santiago Vila ]
  * Run unit tests with C locale.

 -- Santiago Vila <sanvila@debian.org>  Wed, 25 Jan 2023 19:35:00 +0100

indent (2.2.12-3) unstable; urgency=medium

  * Use a common debian/watch file which is valid for most GNU packages.

 -- Santiago Vila <sanvila@debian.org>  Tue, 20 Dec 2022 23:30:00 +0100

indent (2.2.12-2) unstable; urgency=medium

  * Drop unneeded build-dependency on texi2html. Closes: #961821.
  * Use secure URI in debian/watch.
  * Add Homepage field.
  * Raise debhelper compat level from 9 to 13.
  * Set upstream metadata fields Bug-Submit, Name and Repository-Browse.
  * Remove field Priority on binary package indent-doc.
  * Update watch file format version to 4.
  * Update standards version to 4.6.1.

 -- Santiago Vila <sanvila@debian.org>  Tue, 13 Dec 2022 18:40:00 +0100

indent (2.2.12-1) unstable; urgency=low

  * New upstream release. Closes: #916199.
    This is now maintained upstream by Andrej Shadura.
  * Drop all debian/patches/*, not required anymore.
  * Should fix '*' in function declaration. Closes: #228112.
  * Should fix double const after C++ function declaration. Closes: #349065.
  * Should improve support for gettext macros. Closes: #487517.
  * New option --fix-nested-comments. Closes: #657461.
  * Should not change !! to ! ! anymore when using -linux. Closes: #726105.
  * Should now cross-build. Closes: #865677.
  * Rules-Requires-Root: no.

 -- Santiago Vila <sanvila@debian.org>  Sun, 27 Jan 2019 22:35:20 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: Santiago Vila <sanvila@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: gettext, texi2html, texinfo, debhelper (>=9)
+Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13), gettext, texinfo
+Rules-Requires-Root: no
+Homepage: https://www.gnu.org/software/indent/
 
 Package: indent
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: indent-doc
 Multi-Arch: foreign
 Description: C language source code formatting program
@@ -20,7 +22,6 @@
 
 Package: indent-doc
 Section: doc
-Priority: optional
 Architecture: all
 Depends: ${misc:Depends}
 Description: Documentation for GNU indent

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

export DEB_BUILD_MAINT_OPTIONS = future=+lfs

package = indent

override_dh_auto_clean:
	dh_auto_clean
	rm -f doc/$(package).info man/$(package).1

override_dh_autoreconf:

override_dh_installdocs-indep:
	dh_installdocs -i doc/*.html

override_dh_installdocs-arch:
	dh_installdocs -a NEWS README.md

override_dh_link-indep:
	dh_link -i usr/share/doc/$(package)/$(package).html \
		usr/share/doc/$(package)/index.html

override_dh_auto_test:
	LC_ALL=C dh_auto_test

=== debian/watch ===
version=4
https://ftp.gnu.org/gnu/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## indent 2.2.13

=== debian/changelog ===
indent (2.2.13-4build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:59:36 +0200

indent (2.2.13-4) unstable; urgency=medium

  * Fix a heap buffer underread in set_buf_break(). Closes: #1061543.
    Patch by Petr Písař <ppisar@redhat.com>.
    This is CVE-2024-0911.

 -- Santiago Vila <sanvila@debian.org>  Fri, 26 Jan 2024 20:24:00 +0100

indent (2.2.13-3) unstable; urgency=medium

  * Apply two patches by Petr Písař <ppisar@redhat.com>.
  - Fix an out-of-buffer read in search_brace()/lexi() on an condition
    without parentheses followed with an overlong comment.
  - Fix a heap buffer overwrite in search_brace(). Closes: #1049366.
    This one is CVE-2023-40305.

 -- Santiago Vila <sanvila@debian.org>  Sat, 19 Aug 2023 19:30:00 +0200

indent (2.2.13-2) unstable; urgency=medium

  * Do not include indent.html in indent package. Closes: #1041047.

 -- Santiago Vila <sanvila@debian.org>  Fri, 14 Jul 2023 15:05:00 +0200

indent (2.2.13-1) unstable; urgency=medium

  * New upstream release.
  * Fix memory handling problem. Closes: #1036851.
    Thanks to Marek Vasut for the report.

 -- Santiago Vila <sanvila@debian.org>  Thu, 13 Jul 2023 21:35:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: indent
 Section: devel
 Priority: optional
-Maintainer: Santiago Vila <sanvila@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Santiago Vila <sanvila@debian.org>
 Standards-Version: 4.6.1
 Build-Depends: debhelper-compat (= 13), gettext, texinfo
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,9 @@
 
 override_dh_autoreconf:
 
+override_dh_install-arch:
+	dh_install -X indent.html
+
 override_dh_installdocs-indep:
 	dh_installdocs -i doc/*.html
